# Edit profile

Editing a profile looks a bit like registration, so, with a logged user you’ll need to call:

```kotlin
private var listener: MBAuthApiProfileUpdateListener
private var edt_name, edt_surname, edt_email, edt_password: EditText
private var phone: String
private var img_uri: Uri
private var auxiliar_data: String

MBurgerAuthTasks.updateProfile(applicationContext,
    listener,                             //Listener for registration
    edt_name.getText().toString(),        //Name, REQUIRED
    edt_surname.getText().toString(),     //Surname, REQUIRED
    phone,                                //Phone number, nullable
    img_uri,                              //Image, nullable
    edt_email.getText().toString(),       //Email, REQUIRED
    auxiliar_data);                       //Auxiliar data nullable
```

If you decide not to set a new image, so the **img\_uri** value is null, the logged user original image will remain the same.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mburger.cloud/android-docs/auth-feature/edit-profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
